## xgridfit 1.19b

=== Makefile ===
--- 
+++ 
@@ -18,10 +18,16 @@
 		bin/xgfupdate > $(DESTDIR)$(PREFIX)/bin/xgfupdate; \
 	sed "s|@xslt_prefix@|${PREFIX}|g" \
 		bin/ttx2xgf > $(DESTDIR)$(PREFIX)/bin/ttx2xgf; \
+        sed "s|@xslt_prefix@|${PREFIX}|g" \
+		bin/xgfconfig > $(DESTDIR)$(PREFIX)/bin/xgfconfig; \
+        sed "s|@xslt_prefix@|${PREFIX}|g" \
+		bin/xgfmerge > $(DESTDIR)$(PREFIX)/bin/xgfmerge; \
 
 	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgridfit
 	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgfupdate
 	chmod 0755 $(DESTDIR)$(PREFIX)/bin/ttx2xgf
+	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgfconfig
+	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgfmerge
 
 	mkdir -p $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib
 	cp lib/* $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib
@@ -39,6 +45,8 @@
 	rm -f  $(DESTDIR)$(PREFIX)/share/man/man1/xgridfit-ttx.1
 	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib/xgridfit-ttx.xsl
 	rm -f $(DESTDIR)$(PREFIX)/bin/xgridfit-ttx
+	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/schemas/xgridfit-strict.*
+	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/schemas/xgridfit-transitional.*
 
 
 install-docs:
@@ -62,9 +70,12 @@
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/xgridfit.1*
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/xgfupdate.1*
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/ttx2xgf.1*
+	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/xgfconfig.1*
 	rm -f $(DESTDIR)$(PREFIX)/bin/xgridfit
 	rm -f $(DESTDIR)$(PREFIX)/bin/xgfupdate
 	rm -f $(DESTDIR)$(PREFIX)/bin/ttx2xgf
+	rm -f $(DESTDIR)$(PREFIX)/bin/xgfconfig
+	rm -f $(DESTDIR)$(PREFIX)/bin/xgfmerge
 
 
 uninstall-docs:
