=== debian/changelog ===
xgridfit (2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: removed the patch 001_fix_manpage_xgridfit.diff --
    applied by upstream.
  * Switched to 3.0 (quilt) source format.
  * debian/control:
    - switched to debhelper v7;
    - add ${misc:Depends} to dependencies to properly cope with 
      debhelper-triggerred dependencies;
    - added Depends on python for the xgridfit binary package;
    - bumped Standards-Version to 3.8.3. No changes required.
  * Use a minimal debian/rules file.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 22 Dec 2009 21:38:37 +0200

xgridfit (1.19b-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bumped Standards-Version to 3.8.2. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed, 24 Jun 2009 18:33:24 +0300

xgridfit (1.18-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - changed section to the new fonts section;
    - bumped Standards-Version to 3.8.1. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 12 Jun 2009 17:48:44 +0300

xgridfit (1.17a-1) unstable; urgency=low

  * New upstream release
  * debian/menu.doc-base: changed section to Graphics.
  * debian/control:
    - added Build-Depends on quilt for manage a patches. Correspondingly
      changed the file debian/rules and added the directory debian/patches.
    - bumped Standards-Version to 3.8.0. No changes required.
    - added DM-Upload-Allowed: yes.
  * debian/patches: added the patch 001_fix_manpage_xgridfit.diff for
    fixing menpage xgridfit.1 formating.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 14 Feb 2009 19:54:16 +0200

xgridfit (1.0a-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - the homepage address removed from extended package description and added
      Homepage field in the source package.
    - added Vcs-Svn and Vcs-Browser fields.
    - bumped Standards-Version to 3.7.3.
  * debian/manpages: removed this file.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 06 Dec 2007 11:48:02 +0200

xgridfit (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #427917, #430916).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 08 Jul 2007 13:29:18 +0300
