=== debian/control ===
Source: xgridfit
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Kęstutis Biliūnas <kebil@kaunas.init.lt>
Dm-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.3
Homepage: http://xgridfit.sourceforge.net/
Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/xgridfit/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/xgridfit/

Package: xgridfit
Architecture: all
Depends: ${misc:Depends}, xsltproc
Suggests: fontforge, fonttools, python
Description: a program for gridfitting, or "hinting," TrueType fonts
 Xgridfit is a simple program that implements an XML-based language
 for gridfitting, or "hinting," TrueType fonts.

Package: xgridfit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for xgridfit
 Xgridfit is a simple program that implements an XML-based language
 for gridfitting, or "hinting," TrueType fonts.
