## xgridfit 2.2a

=== Makefile ===
--- 
+++ 
@@ -27,16 +27,15 @@
 install:
 	@install -d -m 0755 $(DESTDIR)$(BINDIR)
 	@install -p -m 0755 bin/* $(DESTDIR)$(BINDIR)
-	@for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit} ; do \
-	  sed -i -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" $$file ; \
-	done
 	@which python > /dev/null ; \
 	if [ $$? -eq 0 ] ; then \
 	  PYTHONPROG=`which python` ; \
-	  sed -i "s|@python_prog@|$$PYTHONPROG|" $(DESTDIR)$(BINDIR)/getinstrs ; \
+	  for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; do \
+	  sed -i -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" -e \
+	  "s|@python_prog@|$$PYTHONPROG|" $$file ; done ; \
 	else \
 	  echo "Python is required for getinstrs; it will not be installed." ; \
-	  rm -f $(DESTDIR)$(BINDIR)/getinstrs ; \
+	  rm -f $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; \
 	fi
 	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}
 	@for dir in lib schemas utils ; do \
@@ -47,22 +46,22 @@
 	done
 	@install -d -m 0755 $(DESTDIR)$(MANDIR)/man1
 	@install -p -m 0644 man/*.1 $(DESTDIR)$(MANDIR)/man1
+	@cd python ; python setup.py install --root=$(DESTDIR)/
 	@echo "Xgridfit installed successfully."
 
 
 install-mac:
 	@install -d -m 0755 $(DESTDIR)$(BINDIR)
 	@install -p -m 0755 bin/* $(DESTDIR)$(BINDIR)
-	@for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit} ; do \
-	  sed -i "" -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" $$file ; \
-	done
 	@which python > /dev/null ; \
 	if [ $$? -eq 0 ] ; then \
 	  PYTHONPROG=`which python` ; \
-	  sed -i "" "s|@python_prog@|$$PYTHONPROG|" $(DESTDIR)$(BINDIR)/getinstrs ; \
+	  for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; do \
+	  sed -i "" -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" -e \
+	  "s|@python_prog@|$$PYTHONPROG|" $$file ; done ; \
 	else \
 	  echo "Python is required for getinstrs; it will not be installed." ; \
-	  rm -f $(DESTDIR)$(BINDIR)/getinstrs ; \
+	  rm -f $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; \
 	fi
 	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}
 	@for dir in lib schemas utils ; do \
@@ -73,6 +72,7 @@
 	done
 	@install -d -m 0755 $(DESTDIR)$(MANDIR)/man1
 	@install -p -m 0644 man/*.1 $(DESTDIR)$(MANDIR)/man1
+	@cd python ; python setup.py install --root=$(DESTDIR)/
 	@echo "Xgridfit installed successfully."
