=== debian/changelog ===
xgridfit (2.2a-2) unstable; urgency=low

  [ Sven Hoexter ]
  * Team upload.
  * Add debian/patches/usr_local.diff to remove the 'local' part hard coded
    in python/xgflib.py. (Closes: #625587)
    Thanks to Sven Hoexter for the patch.

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 May 2011 16:17:19 +0200

xgridfit (2.2a-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - added Build-Depends on python and python-support;
    - added 'XS-Python-Version: >= 2.6' field;
    - bumped Standards-Version to 3.8.4. No changes required.
  * debian/patches: added the patch 002_fix_makefile_clean.diff for
    removing python/build directory.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 16 Apr 2010 11:11:28 +0300
