=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Kęstutis Biliūnas <kebil@kaunas.init.lt>
 Dm-Upload-Allowed: yes
+XS-Python-Version: >= 2.6
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.3
+Build-Depends-Indep: python, python-support
+Standards-Version: 3.8.4
 Homepage: http://xgridfit.sourceforge.net/
 Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/xgridfit/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/xgridfit/
 
 Package: xgridfit
 Architecture: all
-Depends: ${misc:Depends}, xsltproc
-Suggests: fontforge, fonttools, python
+Depends: ${misc:Depends}, ${python:Depends}, xsltproc
+Suggests: fontforge, fonttools
 Description: a program for gridfitting, or "hinting," TrueType fonts
  Xgridfit is a simple program that implements an XML-based language
  for gridfitting, or "hinting," TrueType fonts.
