=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-act

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/xgridfit PREFIX=/usr install
	$(MAKE) DESTDIR=$(CURDIR)/debian/xgridfit-doc PREFIX=/usr install-docs
#	dh_install
