## xgridfit 2.3

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	  sed -i -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" -e \
 	  "s|@python_prog@|$$PYTHONPROG|" $$file ; done ; \
 	else \
-	  echo "Python is required for getinstrs; it will not be installed." ; \
+	  echo "Python is required for xgridfit." ; \
 	  rm -f $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; \
 	fi
 	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}
@@ -60,7 +60,7 @@
 	  sed -i "" -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" -e \
 	  "s|@python_prog@|$$PYTHONPROG|" $$file ; done ; \
 	else \
-	  echo "Python is required for getinstrs; it will not be installed." ; \
+	  echo "Python is required for xgridfit." ; \
 	  rm -f $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; \
 	fi
 	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}
