=== debian/changelog ===
xgridfit (2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control
    - drop Kęstutis Biliūnas <kebil@kaunas.init.lt> from Uploaders,
      Thanks for your past work (Closes: #704976)
    - add me as Uploaders
    - set Standards-Version: 3.9.5
    - drop obsolete "Dm-Upload-Allowed: yes" field
    - set "Build-Depends: debhelper (>= 9)"
    - add "Build-Depends: python-dev"
    - move svn to git for Vcs-*
    - add "Depends: python-fontforge, python-libxml2"
    - drop Build-Depends-Indep
    - fix "description-synopsis-starts-with-article" and
      "duplicate-long-description"
  * debian/compat
    - set 9
  * debian/rules
    - use --with python2
  * debian/patches
    - add remove_sourceforge-logo-link.patch
    - add fix_manpage_hyphen-used-as-minus-sign.patch
  
 -- Hideki Yamane <henrich@debian.org>  Tue, 14 Jan 2014 13:19:38 +0900
