=== debian/control ===
Source: xgridfit
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>
XS-Python-Version: >= 2.6
Build-Depends: debhelper (>= 9), python-dev
Standards-Version: 3.9.5
Homepage: http://xgridfit.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-fonts/xgridfit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/xgridfit.git;a=summary

Package: xgridfit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, xsltproc, python-fontforge, python-libxml2
Suggests: fontforge, fonttools
Description: program for gridfitting, or "hinting," TrueType fonts
 Xgridfit is a simple program that implements an XML-based language
 for gridfitting, or "hinting," TrueType fonts.

Package: xgridfit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for xgridfit
 Xgridfit is a simple program that implements an XML-based language
 for gridfitting, or "hinting," TrueType fonts.
 .
 This package contains document for xgridfit.
