=== debian/watch ===
version=3
http://sf.net/xgridfit/xgridfit-(.*)\.tar\.gz
